| Flutter Impeller |

Public Member Functions | Public Attributes | List of all members
impeller::SubpixelGlyph Struct Reference

A glyph and its subpixel position. More...

`#include <font_glyph_pair.h>`

## Public Member Functions
| SubpixelGlyph (Glyph p_glyph, Point p_subpixel_offset, GlyphProperties p_properties)

## Public Attributes
Glyph | glyph
Point | subpixel_offset
GlyphProperties | properties

## Detailed Description

A glyph and its subpixel position.

Definition at line 40 of file font_glyph_pair.h.

## Constructor & Destructor Documentation

## ◆ SubpixelGlyph()

impeller::SubpixelGlyph::SubpixelGlyph | ( | Glyph | p_glyph,
|  | Point | p_subpixel_offset,
|  | GlyphProperties | p_properties
| ) |  |
| inline

Definition at line 45 of file font_glyph_pair.h.

48 : glyph(p_glyph),
49 subpixel_offset(p_subpixel_offset),
50 properties(p_properties) {}

## Member Data Documentation

## ◆ glyph

Glyph impeller::SubpixelGlyph::glyph

Definition at line 41 of file font_glyph_pair.h.

Referenced by impeller::CanAppendToExistingAtlas(), impeller::ComputeGlyphSize(), impeller::CreateAtlasBitmap(), impeller::DrawGlyph(), std::hash< impeller::SubpixelGlyph >::operator()(), std::equal_to< impeller::SubpixelGlyph >::operator()(), impeller::TextContents::Render(), and impeller::testing::TEST_P().

## ◆ properties

GlyphProperties impeller::SubpixelGlyph::properties

Definition at line 43 of file font_glyph_pair.h.

Referenced by impeller::ComputeGlyphSize(), impeller::DrawGlyph(), std::hash< impeller::SubpixelGlyph >::operator()(), std::equal_to< impeller::SubpixelGlyph >::operator()(), and impeller::UpdateAtlasBitmap().

## ◆ subpixel_offset

Point impeller::SubpixelGlyph::subpixel_offset

Definition at line 42 of file font_glyph_pair.h.

Referenced by impeller::ComputeGlyphSize(), impeller::DrawGlyph(), std::hash< impeller::SubpixelGlyph >::operator()(), and std::equal_to< impeller::SubpixelGlyph >::operator()().

The documentation for this struct was generated from the following file:

- impeller/typographer/font_glyph_pair.h

impeller::SubpixelGlyph::subpixel_offset
Point subpixel_offset
Definition: font_glyph_pair.h:42
impeller::SubpixelGlyph::glyph
Glyph glyph
Definition: font_glyph_pair.h:41
impeller::SubpixelGlyph::properties
GlyphProperties properties
Definition: font_glyph_pair.h:43